### ----------------------------------------------------------------------
### | Copyright  Unpublished, Rational Software Corporation. All Rights  |
### | Reserved.  This software contains proprietary and confidential     |
### | information of Rational and its suppliers.  Use, disclosure or     |
### | reproduction is prohibited without the prior express written       |
### | consent of Rational Software Corporation.                          |
### ----------------------------------------------------------------------

######################################################################
######################################################################
###
### File:   ccperlpp.pl
### Date:   June 4, 1998
###
### 1) Removes extra .bat from end of first argument
### 2) Finds first argument locally or along path.
### 3) Add CLEARCASEHOME & ATRIAHOME to perl's environment variables.
### 4) Saves first argument in $_
### 4) Invoke first argument.
###
######################################################################
######################################################################

use ClearCase::CurrentVersion;

# Change either ".bat.bat" to ".bat" or ".bat.pl" to ".pl" at
# end of $ARGV[0].
#
$ARGV[0] =~ s/\.bat\.bat$/.bat/i;
$ARGV[0] =~ s/\.bat\.pl$/.pl/i;

# Find the first argument in path.
#
if (! -f $ARGV[0]) {

    local ($dirname);
    local (@path) = split(';', $ENV{PATH});
    local ($found) = 0;

    foreach $dirname (@path) {
        local ($file) = ("$dirname" . "\\$ARGV[0]");
        if (-f $file) {
            $ARGV[0] = $file;
	    $found = 1;
            last;
        }
    }

    if (!$found) {
	die "Can not find script: $ARGV[0]";
    }
}

ClearCase::CurrentVersion::SetProductHomeEV;

# Invoke first arg
#
$_ = $ARGV[0];
$ARGV[0] =~ s%\\%/%g;
do (shift @ARGV);

#
# The "do" traps any error messages, so:
#

print STDERR "$@";


